Subject: thermald-2.4.7 build fail following upower update to 0.99.15

From: Paul Jewell <[email-masked]>
Date: Fri, 18 Feb 2022 17:07:32 +0000

When building thermald-2.4.7, I am getting a build failure:

------------8<---------------------
src/thd_engine_adaptive.cpp: In member function ‘int 
cthd_engine_adaptive::evaluate_lid_condition(condition)’:
src/thd_engine_adaptive.cpp:1002:61: error: ‘gboolean 
up_client_get_lid_is_closed(UpClient*)’ is deprecated 
[-Werror=deprecated-declarations
]

------------8<---------------------

According to jpoiret (via IRC), this is due to the upower update from 
0.99.13 to 0.99.15, and the marking of the "up_client_get_lid_is_closed" 
function as deprecated.

I am not sure where the compiler flag setting is made turning this 
warning into an error. I have no configuration in my system config which 
could be doing this (at least not explicitly).